Name:           python-nox
Version:        2023.4.22
Release:        1
Summary:        Flexible test automation

License:        Apache-2.0
URL:            https://github.com/wntrblm/nox
Source0:        %{url}/archive/v%{version}/nox-%{version}.tar.gz
BuildArch:      noarch

%description
Nox is a command-line tool that automates testing in multiple Python
environments, similar to tox. Unlike tox, Nox uses a standard Python
file for configuration.

%package -n python3-nox
Summary:	Flexible test automation
Provides:	python-nox

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling

%description -n python3-nox
Nox is a command-line tool that automates testing in multiple Python
environments, similar to tox. Unlike tox, Nox uses a standard Python
file for configuration.

%prep
%autosetup -n nox-%{version}

# Use the newest tox 4
sed -i 's/"tox<4"/"tox"/' pyproject.toml

# Use current Python version instead of Python 2 in tests
sed -i "s/2\.7/%python3_version/;s/27/%python3_version_nodots/" tests/test_tox_to_nox.py

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-nox
%license LICENSE
%doc README.md
%{_bindir}/nox
%{_bindir}/tox-to-nox
%{python3_sitelib}/nox-*.dist-info/
%{python3_sitelib}/nox/

%changelog
* Thu Aug 17 2023 mengzhaoa <mengzhaoa@isoftstone.com> - 2023.4.22-1
- Init package python-nox of version 2023.4.22.
